{
  "condition": "any_of",
  "terms": [
    {
      "condition": "minecraft:entity_properties",
      "entity": "this",
      "predicate": {
        "flags": {
          "is_in_water": true
        }
      }
    },
    {
      "condition": "location_check",
      "predicate": {
        "block": {
          "blocks": "#overly_realistic:overlays_fall_damage"
        }
      }
    }
  ]
}